Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.comparative
Class LessThan

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.comparative.ComparativeOperator
                        |
                        +--com.bea.p13n.expression.operator.comparative.LessThan

All Implemented Interfaces:
  BinaryOperator, Cloneable, Expression, ExpressionEvents, Serializable

public final class LessThan
extends ComparativeOperator

Implementation of the LessThan operator.
Input 1: An Object (or Expression returning an Object) that is LHS of the operator.
Input 2: An Object (or Expression returning an Object) that is RHS of the operator.
Returns: A Boolean(true) if the LHS < the RHS, otherwise Boolen(false).

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.operator.BinaryOperator
`LHS_INDEX, RHS_INDEX`

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`LessThan()` Constructs an empty operator and operands can be added later by calling addSubExpression() on this.
`LessThan(Object lhs, Object rhs)` Constructs LessThan operator by storing the given parameters as operands of this.

Methods inherited from class com.bea.p13n.expression.operator.comparative.ComparativeOperator
`getLeftHandSide, getParameterSignature, getRightHandSide`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LessThan

    public LessThan()

  Constructs an empty operator and operands can be added later by calling addSubExpression() on this.

### LessThan

    public LessThan(Object lhs,
                    Object rhs)

  Constructs LessThan operator by storing the given parameters as operands of this.

Parameters:
  `lhs` - The left hand side operand of this.
  `rhs` - The right hand side operand of this.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved